@import "config";
@import "media";


.tittle-form {
    font-size: $font-size-xlarge;
    font-weight: 400;
    margin-bottom: $space * 6;
}

h3.tittle-name {
    font-size: $font-size-xlarge;
    font-weight: 400;
    margin-top: $space * 4;
    margin-bottom: $space * 8;
}

p.tittle-name {
    margin-top: $space * 4;
    //margin-bottom: $space * 4;
}

h3.title-section {
    font-size: $font-size-large;
}


.fio-block {
    display: flex;
    gap: $space * 5;

    @include tablet {
        flex-direction: column;
    }

    .pswipe-block {
        flex-grow: 1;
        min-width: 25vw;
    }

    .pswipe-block-right {
        flex-grow: 2;
    }
}
.files-wrapper {
    display: flex;
    gap: $space * 4;
    align-items: center;

    .files-icons {
        display: flex;
        gap: $space * 4;
        align-items: center;

        .files-icon {
            display: flex;
            gap: $space * 2;
            align-items: center;

            .files-icon-title {
                font-size: $font-size-xsmall;
                max-width: $space * 40;
                overflow: hidden;
                text-overflow: ellipsis;
                text-wrap: nowrap;
            }
        }
    }
}

.file-area {
    width: 100%;
    height: auto;
    aspect-ratio: 3 / 3.4;
    position: relative;
    background-color: #D9D9D9;
    border-radius: $border-large-radius;
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;

    @include tablet {
        min-height: 350px;
        max-width: 350px;
    }

    input[type="file"] {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        opacity: 0;
        cursor: pointer;
        margin: 0;
        padding: 0;
    }

    label {
        color: #000000;
    }
}

select,
textarea,
input:not(input[type="radio"]):not(input[type="checkbox"]) {
    width: 100%;

    @include tablet {
        margin: $space * 4 0;
    }

    @include phone {
        margin: $space * 5 0;
    }
}

textarea {
    min-height: $space * 25;
}

.input-form {
    &.lastname,
    &.name,
    &.surname {
        font-size: $font-size-xlarge;
    }
}

.form-block {
    margin: $space * 10 0;
}

.form-line {
    display: flex;
    gap: $space * 5;
    align-items: center;

    @include phone {
        flex-direction: column;
        gap: 0;

        & > *:not(input[type="radio"]):not(input[type="checkbox"]) {
            width: 100%;
        }
    }

    &.grow {
        & > * {
            flex-grow: 1;
        }
    }
}

.birth-date {
    justify-content: space-between;

    @include tablet {
        flex-wrap: wrap;
        gap: 0;
    }

    & > div {
        display: flex;
        align-items: center;
        gap: $space * 5;
    }
}

.check-div {
    flex-wrap: wrap;

    @include phone {
        gap: $space;
    }

    .label-form {
        display: flex;
        gap: $space * 2;
        align-items: center;

        @include phone {
            flex-grow: 1;
        }
    }
}

.buttons-block {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 -$space * 10;
    padding: $space * 10;
    position: sticky;
    bottom: 0;
    background-color: $color-body-background;

    div {
        display: flex;
        gap: $space * 5;
        justify-content: center;

        @include phone {
            flex-wrap: wrap;
        }
    }

    button {
        min-width: 20em;
        padding: $space * 5;
    }
}
